<?php
/**
 * @package    HikaMarket for Joomla!
 * @version    1.0.0
 * @author     Ashdown Software
 * @copyright  (C) 2016 Ashdown Software. All rights reserved.
 * @license    GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */
defined('_JEXEC') or die('Restricted access');
?><?php
class plgHikamarketCommissionAdjust extends JPlugin {
	public function __construct(&$subject, $config) {
		parent::__construct($subject, $config);
	}

	public function onBeforeMarketCalculateVendorPrice($vendor_id, &$ret, &$order_products, &$products, $coupon, $vendor_order, &$do) {
		// dumpMessage('In onBeforeMarketCalculateVendorPrice');
		return;
	}
	
	public function onAfterMarketCalculateVendorPrice($vendor_id, &$ret, &$order_products, &$products, $coupon, $vendor_order) {
		// Payment methods: market-paypal, market-check, market-banktransfer stored in $order_payment_method
		$pluginsClass = hikashop_get('class.plugins');
		$plugin = $pluginsClass->getByName('hikamarket','commissionadjust');
		
		if(empty($plugin->params['pay_method1'])){
			$plugin->params['pay_method1'] = '';
		}
		$method1 = $plugin->params['pay_method1'];
		
		if(empty($plugin->params['pay_charge1'])){
			$plugin->params['pay_charge1'] = 0;
		}
		$charge1 = $plugin->params['pay_charge1'];
		
		if(empty($plugin->params['pay_method2'])){
			$plugin->params['pay_method2'] = '';
		}
		$method2 = $plugin->params['pay_method2'];
		
		if(empty($plugin->params['pay_charge2'])){
			$plugin->params['pay_charge2'] = 0;
		}
		$charge2 = $plugin->params['pay_charge2'];

		if (stristr($vendor_order->order_payment_method,$method1) and $charge1 > 0){
			$ret = $ret * (1 - $charge1/100);
		}
		if (stristr($vendor_order->order_payment_method,$method2) and $charge2 > 0){
			$ret = $ret * (1 - $charge2/100);
		}
		
		return;
	}
}
